# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::SceneManagerActorTree Class Reference

A SceneManagerBVH that implements its spatial partitioning strategy using an ActorTree. More...

`#include <SceneManagerActorTree.hpp>`

Inheritance diagram for vl::SceneManagerActorTree:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| SceneManagerActorTree ()

## Detailed Description

A SceneManagerBVH that implements its spatial partitioning strategy using an ActorTree.

See also:
  - Actor
  - ActorKdTree
  - ActorTree
  - SceneManager
  - SceneManagerBVH
  - SceneManagerActorKdTree
  - SceneManagerPortals

## Constructor & Destructor Documentation

vl::SceneManagerActorTree::SceneManagerActorTree | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::SceneManagerActorTree::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::SceneManagerBVH< ActorTree >.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/SceneManagerActorTree.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:03 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.